Skip to content
Permalink
Browse files
Merge pull request #369 from guohao/specify-migration-consuemr-verison
[Compatibility Test] Prevent dubbo-samples-migration-case-default being ignored
  • Loading branch information
guohao committed Sep 17, 2021
2 parents 2a36f47 + 6c814d2 commit ec3077e8c992e930746501a04208a5ceed5c2c92
Showing 2 changed files with 9 additions and 5 deletions.
@@ -15,20 +15,24 @@ dubbo.consumer.version=2.7.*
```
And then in each consumer and provider project, you can configure `POM`'s properties as follows:
```xml
# consumer side
<!-- consumer side -->
<properties>
<dubbo.consumer.version>2.7.13</dubbo.consumer.version>
</properties>

# provider side
<!-- provider side -->
<properties>
<dubbo.provider.version>2.7.13</dubbo.provider.version>
</properties>
```

When the Integration Tests trigger, these properties will be overwritten by maven, for example:
If we have the env of `DUBBO_VERSION=3.0.3-SNAPSHOT,2.7.13`, when the Integration Tests trigger, these properties will be overwritten by maven, for example:
```shell
mvn -Ddubbo.provider.version=3.0.3-SNAPSHOT -Ddubbo.consumer.version=2.7.13 -Dspring.version=4.3.16.RELEASE
```


But in the dubbo-samples's Dubbo 3 CI env, there only has `DUBBO_VERSION=3.0.3-SNAPSHOT`, we have to specify one side's version to prevent the test being ignored, for example:
```yaml
dubbo.provider.version=3.*
dubbo.consumer.version=2.7.13 # <= specific version
```
@@ -23,4 +23,4 @@ spring.version=4.*, 5.*

# Support Compatibility test
dubbo.provider.version=3.*
dubbo.consumer.version=2.7.*
dubbo.consumer.version=2.7.13

0 comments on commit ec3077e

Please sign in to comment.